Subject: Minor problem with du output in beta 17.1
From: [email-masked] (Ian Macpherson)

4 Apr 1997 14:29:32 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

I've just downloaded the gnu-win32 beta 17.1 utilities and have noticed
a problem with the output of the 'du' command. On my Windows95 PC running
'du cygnus' generates the following output:

236	cygnus/man/man1
3	cygnus/man/man5
15	cygnus/man/man3
254	cygnus/man
0	cygnus/var
3316	cygnus/H-i386-cygwin32/bin
237	cygnus/H-i386-cygwin32/libexec/awk
618	cygnus/H-i386-cygwin32/libexec
0	cygnus/H-i386-cygwin32/lib
1	cygnus/H-i386-cygwin32/etc
3934	cygnus/H-i386-cygwin32
0	cygnus/share
4223	cygnus

Compare this to running the gnuish DOS du command (V3.12):

448	cygnus/man/man1
5	cygnus/man/man5
30	cygnus/man/man3
482	cygnus/man
0	cygnus/var
6601	cygnus/h-i386~1/bin
474	cygnus/h-i386~1/libexec/awk
1234	cygnus/h-i386~1/libexec
0	cygnus/h-i386~1/lib
1	cygnus/h-i386~1/etc
7836	cygnus/h-i386~1
16	cygnus/share/awk
16	cygnus/share
0	cygnus/lib
8404	cygnus

I believe the output of the gnuish 'du' to be correct. Compared to this the
gnu-win32 'du' misses sub-directories and seems to be reporting 2K blocks
(even if -k is used).

As a general point, I find the gnu-win32 utilities very slow when comapred
to the gnuish DOS equivalents, particularly programs that traverse directories.
Is there a reason for this?

Ian.

+-----------------------------------------------------------------------+
|Ian Macpherson								|
|3Com Ltd.			Phone:	+44 (1442) 438326		|
|3Com Centre,			Fax:	+44 (1442) 438333		|
|Boundary Way,			Email:	[email-masked]		|
|Hemel Hempstead,							|
|Herts. HP2 7YU.							|
|United Kingdom.							|
+-----------------------------------------------------------------------+
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".